// ===========================================================================
// ==                                                                       ==
// ==                                                                       ==
// ===========================================================================

#include "Render/RenderWall.h"

static Image* wallImg = NULL;
static Sprite* wallSpr = NULL;

RenderWall::RenderWall(int x, int y) : RenderObject()
{
  if (wallImg == NULL)
  {
    wallImg = new Image("Graphisme/Mur.bmp");
    wallSpr = new Sprite(*wallImg,1,1);
  }
  setSprite(*wallSpr,x,y);
}
// ===========================================================================
RenderObject*
RenderWall::clone(int x, int y) const
{
  return new RenderWall(x,y);
}
