// ===========================================================================
// ==           class Rock : Definition                                     ==
// ==           Atchoum & X. Pinguin 22 April 2000                          ==
// ===========================================================================
#ifndef _ROCK_H
#define _ROCK_H

class DataRoom;

#include "Actors/Monster.h"
#include "IA/IARock.h"

/**
   It's a specific monster : a Rock ! ( no the bird, the stone )
 */
class Rock : public Monster
{
public:
  /** */
  Rock(int x, int y);
  /** */
  Rock(DataRoom& room, int x, int y);
  /** */
  ~Rock();
  /** */
  virtual bool mustRedraw() const;
  /** */
  void doAction();
  /** */
  bool setAction(int action);
  /** */
  bool setAction();
  /** */
  virtual Actor* clone(DataRoom& room,
		      int x, int y, int z=0) const;
private:
  /** */
  void doFall();
  /** */
  void doPush(int dx);
  /** */
  int _dx, _dy, _nact;
  /** */
  IARock _ia;
};// End of Rock.
#endif
