// ===========================================================================
// ==                                                                       ==
// ==                                                                       ==
// ===========================================================================
#include "Object/Diamond.h"
#include "Data/IdObject.h"
#include "Render/RenderDiamond.h"

Diamond::Diamond(int x, int y) : Object(DIAM)
{
  _render = new RenderDiamond((x<<5),(y<<5));
}
// ===========================================================================
Diamond::~Diamond()
{
  delete _render;
}
// ===========================================================================
Object*
Diamond::clone(int x, int y) const
{
  return new Diamond(x,y);
}
