// ===========================================================================
// ==                                                                       ==
// ==                                                                       ==
// ===========================================================================
#include "Object/Sand.h"
#include "Data/IdObject.h"
#include "Render/RenderSand.h"

Sand::Sand(int x, int y) : Object(SAND)
{  
  _render = new RenderSand((x<<5),(y<<5));
}
// ===========================================================================
Sand::~Sand()
{
  delete _render;
}
// ===========================================================================
Object*
Sand::clone(int x, int y) const
{
  return new Sand(x,y);
}
