// ===========================================================================
// ==        Render Actor class definition                                  ==
// ==        Atchoum & X. Pinguin 24 April 2000                             ==
// ===========================================================================
#ifndef _RENDERACTOR_H
#define _RENDERACTOR_H

#include "Render/RenderBase.h"

class RenderActor : public RenderBase
{
public:
  /** */
  RenderActor();
  /** */
  virtual Screen& render(Screen& scr) = 0;
  /** */
  void setPosition(int x, int y, int z=0);
  /** */
  virtual RenderActor* clone() const = 0;
  /** */
  virtual void setState(int pos) = 0;
};
// ===========================================================================
inline
RenderActor::RenderActor() : RenderBase()
{
}
#endif
